org.eclnt.jsfserver.elements.componentnodes

## Class CLIENTFILEEXPLORERNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.CLIENTFILEEXPLORERNode

- All Implemented Interfaces:
    java.io.Serializable

      public class CLIENTFILEEXPLORERNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CLIENTFILEEXPLORERNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CLIENTFILEEXPLORERNode` | `bindComment(IDynamicContentBindingObject value)`
    `CLIENTFILEEXPLORERNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `CLIENTFILEEXPLORERNode` | `bindFileextensions(IDynamicContentBindingObject value)`
    `CLIENTFILEEXPLORERNode` | `bindFilenamesexcludedfromselection(IDynamicContentBindingObject value)`
    `CLIENTFILEEXPLORERNode` | `bindFxstyleseq(IDynamicContentBindingObject value)`
    `CLIENTFILEEXPLORERNode` | `bindHeight(IDynamicContentBindingObject value)`
    `CLIENTFILEEXPLORERNode` | `bindMaxfilesize(IDynamicContentBindingObject value)`
    `CLIENTFILEEXPLORERNode` | `bindMaxnumberoffiles(IDynamicContentBindingObject value)`
    `CLIENTFILEEXPLORERNode` | `bindMaxsinglefilesize(IDynamicContentBindingObject value)`
    `CLIENTFILEEXPLORERNode` | `bindStyleseq(IDynamicContentBindingObject value)`
    `CLIENTFILEEXPLORERNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `CLIENTFILEEXPLORERNode` | `bindWidth(IDynamicContentBindingObject value)`
    `CLIENTFILEEXPLORERNode` | `setAttributemacro(java.lang.String value)`
    `CLIENTFILEEXPLORERNode` | `setComment(java.lang.String value)`
    `CLIENTFILEEXPLORERNode` | `setConfiginfo(java.lang.String value)`
    `CLIENTFILEEXPLORERNode` | `setFileextensions(java.lang.String value)`
    `CLIENTFILEEXPLORERNode` | `setFilenamesexcludedfromselection(java.lang.String value)`
    `CLIENTFILEEXPLORERNode` | `setFxstyleseq(java.lang.String value)`
    `CLIENTFILEEXPLORERNode` | `setHeight(int value)`
    `CLIENTFILEEXPLORERNode` | `setHeight(java.lang.String value)`
    `CLIENTFILEEXPLORERNode` | `setId(java.lang.String value)`
    `CLIENTFILEEXPLORERNode` | `setMaxfilesize(int value)`
    `CLIENTFILEEXPLORERNode` | `setMaxfilesize(java.lang.String value)`
    `CLIENTFILEEXPLORERNode` | `setMaxnumberoffiles(int value)`
    `CLIENTFILEEXPLORERNode` | `setMaxnumberoffiles(java.lang.String value)`
    `CLIENTFILEEXPLORERNode` | `setMaxsinglefilesize(int value)`
    `CLIENTFILEEXPLORERNode` | `setMaxsinglefilesize(java.lang.String value)`
    `CLIENTFILEEXPLORERNode` | `setReference(java.lang.String value)`
    `CLIENTFILEEXPLORERNode` | `setStyleseq(java.lang.String value)`
    `CLIENTFILEEXPLORERNode` | `setStylevariant(java.lang.String value)`
    `CLIENTFILEEXPLORERNode` | `setWidth(int value)`
    `CLIENTFILEEXPLORERNode` | `setWidth(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CLIENTFILEEXPLORERNode

          public CLIENTFILEEXPLORERNode()

  - ### Method Detail

    - #### setId

          public CLIENTFILEEXPLORERNode setId(java.lang.String value)

    - #### setAttributemacro

          public CLIENTFILEEXPLORERNode setAttributemacro(java.lang.String value)

    - #### setComment

          public CLIENTFILEEXPLORERNode setComment(java.lang.String value)

    - #### bindComment

          public CLIENTFILEEXPLORERNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public CLIENTFILEEXPLORERNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public CLIENTFILEEXPLORERNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setFileextensions

          public CLIENTFILEEXPLORERNode setFileextensions(java.lang.String value)

    - #### bindFileextensions

          public CLIENTFILEEXPLORERNode bindFileextensions(IDynamicContentBindingObject value)

    - #### setFilenamesexcludedfromselection

          public CLIENTFILEEXPLORERNode setFilenamesexcludedfromselection(java.lang.String value)

    - #### bindFilenamesexcludedfromselection

          public CLIENTFILEEXPLORERNode bindFilenamesexcludedfromselection(IDynamicContentBindingObject value)

    - #### setFxstyleseq

          public CLIENTFILEEXPLORERNode setFxstyleseq(java.lang.String value)

    - #### bindFxstyleseq

          public CLIENTFILEEXPLORERNode bindFxstyleseq(IDynamicContentBindingObject value)

    - #### setHeight

          public CLIENTFILEEXPLORERNode setHeight(java.lang.String value)

    - #### bindHeight

          public CLIENTFILEEXPLORERNode bindHeight(IDynamicContentBindingObject value)

    - #### setHeight

          public CLIENTFILEEXPLORERNode setHeight(int value)

    - #### setMaxfilesize

          public CLIENTFILEEXPLORERNode setMaxfilesize(java.lang.String value)

    - #### bindMaxfilesize

          public CLIENTFILEEXPLORERNode bindMaxfilesize(IDynamicContentBindingObject value)

    - #### setMaxfilesize

          public CLIENTFILEEXPLORERNode setMaxfilesize(int value)

    - #### setMaxnumberoffiles

          public CLIENTFILEEXPLORERNode setMaxnumberoffiles(java.lang.String value)

    - #### bindMaxnumberoffiles

          public CLIENTFILEEXPLORERNode bindMaxnumberoffiles(IDynamicContentBindingObject value)

    - #### setMaxnumberoffiles

          public CLIENTFILEEXPLORERNode setMaxnumberoffiles(int value)

    - #### setMaxsinglefilesize

          public CLIENTFILEEXPLORERNode setMaxsinglefilesize(java.lang.String value)

    - #### bindMaxsinglefilesize

          public CLIENTFILEEXPLORERNode bindMaxsinglefilesize(IDynamicContentBindingObject value)

    - #### setMaxsinglefilesize

          public CLIENTFILEEXPLORERNode setMaxsinglefilesize(int value)

    - #### setReference

          public CLIENTFILEEXPLORERNode setReference(java.lang.String value)

    - #### setStyleseq

          public CLIENTFILEEXPLORERNode setStyleseq(java.lang.String value)

    - #### bindStyleseq

          public CLIENTFILEEXPLORERNode bindStyleseq(IDynamicContentBindingObject value)

    - #### setStylevariant

          public CLIENTFILEEXPLORERNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public CLIENTFILEEXPLORERNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setWidth

          public CLIENTFILEEXPLORERNode setWidth(java.lang.String value)

    - #### bindWidth

          public CLIENTFILEEXPLORERNode bindWidth(IDynamicContentBindingObject value)

    - #### setWidth

          public CLIENTFILEEXPLORERNode setWidth(int value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.